Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 604454 - sys-block/open-isns-0.97 with dev-libs/openssl-1.1.0c - undefined reference to `OpenSSL_add_all_digests'
Summary: sys-block/open-isns-0.97 with dev-libs/openssl-1.1.0c - undefined reference t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthew Thode ( prometheanfire )
URL: https://github.com/open-iscsi/open-is...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2017-01-02 22:23 UTC by eroen
Modified: 2018-10-24 16:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-block/open-isns-0.97:20170102-214205.log (open-isns-0.97:20170102-214205.log,29.76 KB, text/plain)
2017-01-02 22:23 UTC, eroen
Details
0001-Disable-deprecated-initializations-for-openssl-1.1.0.patch (0001-Disable-deprecated-initializations-for-openssl-1.1.0.patch,1.11 KB, patch)
2017-01-02 22:31 UTC, eroen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2017-01-02 22:23:30 UTC
Created attachment 458448 [details]
sys-block/open-isns-0.97:20170102-214205.log

x86_64-pc-linux-gnu-gcc -Wall -fno-strict-aliasing -O0 -g -I. -Iinclude -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE  -c -o isnsd.o isnsd.c
x86_64-pc-linux-gnu-gcc -Wall -fno-strict-aliasing -O0 -g -I. -Iinclude -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -o isnsd isnsd.o -L. -lisns -Wl,--as-needed -lcrypto 
./libisns.so: undefined reference to `OpenSSL_add_all_digests'
./libisns.so: undefined reference to `OpenSSL_add_all_ciphers'
./libisns.so: undefined reference to `ERR_load_crypto_strings'
./libisns.so: undefined reference to `OpenSSL_add_all_algorithms'
collect2: error: ld returned 1 exit status
make: *** [Makefile:172: isnsd] Error 1
 * ERROR: sys-block/open-isns-0.97::gentoo failed (compile phase):
 *   emake failed
Comment 1 eroen 2017-01-02 22:31:14 UTC
Created attachment 458450 [details, diff]
0001-Disable-deprecated-initializations-for-openssl-1.1.0.patch

I have submitted the attached patch upstream[0]. The initialization these functions did previously is handled internally in openssl 1.1.0.

0: https://github.com/open-iscsi/open-isns/pull/10
Comment 2 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2017-01-03 04:13:31 UTC
fixed in place as it's a build issue